## ros-melodic-visp-auto-tracker 0.13.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)
project(visp_auto_tracker)

# Since visp 3.5.0 to avoid the following warning that makes build unstable
#
# /usr/include/OGRE/OgreMemorySTLAllocator.h:130:23: warning: ISO C++17 does not allow
#   ‘register’ storage class specifier [-Wregister]
#
# we try to add -Wno-register option
include(CheckCXXCompilerFlag)
check_cxx_compiler_flag("-Wno-register" COMPILER_SUPPORTS_W_NO_REGISTER)

#catkin_lint: ignore endblock_args indentation
if(COMPILER_SUPPORTS_W_NO_REGISTER)
  set(EXTRA_CXX_FLAGS "-Wno-register")
endif()

find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  message_filters
  resource_retriever
  roscpp
  sensor_msgs
  std_msgs
  visp_bridge
  visp_tracker
)
# ViSP cannot be found by Catkin.
# see https://github.com/ros/catkin/issues/606
find_package(VISP)

if(VISP_HAVE_ZBAR OR VISP_HAVE_DMTX OR VISP_HAVE_APRILTAG)

# Boost signals component is no longer being actively maintained since boost 1.63.0
# Keept here as optional for compat with older ROS versions, but for Neotic this component is useless.
find_package(Boost REQUIRED
  COMPONENTS filesystem system signals regex date_time program_options thread)

include_directories(
  ${Boost_INCLUDE_DIRS}
  ${VISP_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

catkin_package(
  LIBRARIES auto_tracker

  CATKIN_DEPENDS
    geometry_msgs
    message_filters
    roscpp
    sensor_msgs
    std_msgs
    visp_tracker

  DEPENDS
    VISP
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/flashcode_mbt)

# Library gathering libauto_tracker used by all nodes.
add_library(${PROJECT_NAME}_cmd_line
  flashcode_mbt/cmd_line/cmd_line.cpp
  flashcode_mbt/cmd_line/cmd_line.h
)
target_link_libraries(${PROJECT_NAME}_cmd_line
  ${resource_retriever_LIBRARIES}
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES})

#catkin_lint: ignore unquoted_string_op
if(VISP_VERSION VERSION_LESS "2.10.0")
  add_library(${PROJECT_NAME}_qrcode_detector
    flashcode_mbt/detectors/detector_base.cpp
    flashcode_mbt/detectors/detector_base.h
    flashcode_mbt/detectors/qrcode/detector.cpp
    flashcode_mbt/detectors/qrcode/detector.h
  )
  target_link_libraries(${PROJECT_NAME}_qrcode_detector
    ${resource_retriever_LIBRARIES}
    ${catkin_LIBRARIES}
    ${Boost_LIBRARIES}
    zbar)

  add_library(${PROJECT_NAME}_datamatrix_detector
    flashcode_mbt/detectors/datamatrix/detector.cpp
    flashcode_mbt/detectors/datamatrix/detector.h
    flashcode_mbt/detectors/detector_base.cpp
    flashcode_mbt/detectors/detector_base.h
  )
  target_link_libraries(${PROJECT_NAME}_datamatrix_detector
    ${resource_retriever_LIBRARIES}
    ${catkin_LIBRARIES}
    ${Boost_LIBRARIES}
    dmtx)
endif()

add_library(auto_tracker
  flashcode_mbt/libauto_tracker/events.h
  flashcode_mbt/libauto_tracker/logfilewriter.hpp
  flashcode_mbt/libauto_tracker/states.hpp
  flashcode_mbt/libauto_tracker/threading.cpp
  flashcode_mbt/libauto_tracker/threading.h
  flashcode_mbt/libauto_tracker/tracking.cpp
  flashcode_mbt/libauto_tracker/tracking.h)

#catkin_lint: ignore unquoted_string_op
if(VISP_VERSION VERSION_LESS "2.10.0")
  target_link_libraries(auto_tracker
      ${PROJECT_NAME}_cmd_line
      ${PROJECT_NAME}_qrcode_detector
      ${PROJECT_NAME}_datamatrix_detector
      ${resource_retriever_LIBRARIES}
      ${catkin_LIBRARIES}
      ${Boost_LIBRARIES}
  )
else()
  target_link_libraries(auto_tracker
      ${PROJECT_NAME}_cmd_line
      ${resource_retriever_LIBRARIES}
      ${catkin_LIBRARIES}
      ${Boost_LIBRARIES}
  )
endif()

add_executable(${PROJECT_NAME}
  src/main.cpp
  src/names.cpp
  src/names.h
  src/node.cpp
  src/node.h
  )

if(EXTRA_CXX_FLAGS)
    set_target_properties(${PROJECT_NAME} PROPERTIES COMPILE_FLAGS ${EXTRA_CXX_FLAGS})
    set_target_properties(${PROJECT_NAME}_cmd_line PROPERTIES COMPILE_FLAGS ${EXTRA_CXX_FLAGS})
    set_target_properties(auto_tracker PROPERTIES COMPILE_FLAGS ${EXTRA_CXX_FLAGS})
endif()

if(CATKIN_ENABLE_TESTING)
  add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_bag)
endif()

#catkin_lint: ignore unquoted_string_op
if(VISP_VERSION VERSION_LESS "2.10.0")
  target_link_libraries(${PROJECT_NAME}
    auto_tracker
    ${PROJECT_NAME}_qrcode_detector
    ${PROJECT_NAME}_datamatrix_detector
    ${PROJECT_NAME}_cmd_line
    dmtx zbar)

  target_link_libraries(${PROJECT_NAME}
    ${resource_retriever_LIBRARIES}
    ${catkin_LIBRARIES}
    ${Boost_LIBRARIES})

  install(
    TARGETS
      auto_tracker
      ${PROJECT_NAME}
      ${PROJECT_NAME}_cmd_line
      ${PROJECT_NAME}_datamatrix_detector
      ${PROJECT_NAME}_qrcode_detector
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )
else()
  target_link_libraries(${PROJECT_NAME}
    auto_tracker
    ${resource_retriever_LIBRARIES}
    ${catkin_LIBRARIES}
    ${Boost_LIBRARIES})

  install(
    TARGETS
      auto_tracker
      ${PROJECT_NAME}
      ${PROJECT_NAME}_cmd_line
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )
endif()

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY models
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
# Bag files #
#############

# Tutorial
if(CATKIN_ENABLE_TESTING)
  catkin_download_test_data(
    ${PROJECT_NAME}_bag
    https://github.com/lagadic/vision_visp/releases/download/vision_visp-0.5.0/tutorial-qrcode.bag
    DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/bag
    MD5 0f80ceea2610b8400591ca7aff764dfa)

  install(DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/bag
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  )
endif()

else() # VISP_HAVE_ZBAR OR VISP_HAVE_DMTX OR VISP_HAVE_APRILTAG
message("${PROJECT_NAME} build is disabled since ViSP is not built with libzbar-dev 3rd party")
endif() # VISP_HAVE_ZBAR OR VISP_HAVE_DMTX OR VISP_HAVE_APRILTAG

=== flashcode_mbt/detectors/datamatrix/CMakeLists.txt ===
include_directories(${DETECTORS_BASE_INCLUDE_DIR})
add_library(datamatrix_detector ${DETECTORS_BASE_SRC} detector.cpp)

## ros-melodic-visp-auto-tracker 0.11.1

=== debian/changelog ===
ros-melodic-visp-auto-tracker (0.11.1-1stretch) stretch; urgency=high



 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Wed, 03 Jul 2019 22:00:00 -0000

ros-melodic-visp-auto-tracker (0.11.0-1stretch) stretch; urgency=high

  * Update with Melodic
  * Fix memory leak
  * Introduce vpMbGenericTracker and visp3 headers in visp_auto_tracker
  * Introduce visp3 headers
  * Code indentation
  * Introduce vpMbGenericTracker
  * Introduce vpHandEyeCalibration class
  * Fix build for melodic (Closes #88)
  * Fix compilation on 17.04 by adding missing boost/format.hpp inclusion
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sun, 26 May 2019 22:00:00 -0000

ros-melodic-visp-auto-tracker (0.10.0-1stretch) stretch; urgency=high

  * Fix catkin_lint warnings level 2
  * kinetic-0.9.3
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Thu, 09 Feb 2017 23:00:00 -0000

ros-melodic-visp-auto-tracker (0.9.3-1stretch) stretch; urgency=high

  * Fix CMAKE_CXX_FLAGS as separated list
  * kinetic-0.9.2
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Thu, 19 May 2016 22:00:00 -0000

ros-melodic-visp-auto-tracker (0.9.1-1stretch) stretch; urgency=high

  * Revert build_depend visp removal that is mandatory.
  * jade-0.9.0
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sun, 20 Dec 2015 23:00:00 -0000

ros-melodic-visp-auto-tracker (0.9.0-1stretch) stretch; urgency=high

  * Fix catkin_lint error and issues
  * Compat with ViSP 3.0.0
  * Fix to build with ViSP 2.10.0 when VISP_BUILD_DEPRECATED=OFF
  * jade-0.8.0
  * Prepare changelogs
  * Contributors: Aurelien Yol, Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sat, 19 Dec 2015 23:00:00 -0000

ros-melodic-visp-auto-tracker (0.8.0-1stretch) stretch; urgency=high

  * Remove catkin_lint issues and warnings
  * Fix doc url location
  * Update launch files
  * Comment viewer node. Only interesting when visp_auto_tracker debug_display param is False
  * Improve pose computation using Lagrange and Dementhon methods as initialisation
  * Increase quality value to avoid keypoint detection on the black part of the target
  * Introduce code_message parameter as a comment to show how to use.
  * New parameter "code_message" to specify the target to track from the code message.
    If this parameter is not set, the code that is tracked is the largest in the image.
  * Add frame_size parameter to the tracker client and viewer nodes that allow to
    specify the lenght (in meter) of the frame axis
  * Publish the code message of the tracked target on /visp_auto_tracker/code_message topic.
    If no target is tracked, publish an empty message.
    Remove fps printing
  * Fix to publish covariance matrix associated to the pose estimation
  * Fix to publish an empty list of moving edges and klt points on their respective topics
    when the tracker fails
  * Makes sure klt points that are sent via ros are from visible polygons.
  * Show how to use the viewer with visp_auto_tracker
  * Consider also .cao file to describe the cad model of the object to track with the
    hybrid model-based tracker
  * Remove useless include
  * Fix issue https://github.com/lagadic/vision_visp/issues/45 to take into account
    model_name parameter set in the launch file.
  * Changes done to use flash code detectors introduced in ViSP 2.10.0 rather than
    the one in visp_auto_tracker/flashcode_mbt/detectors.
  * Fix to avoid an OpenCV exception when the object roi is outside the image
  * Fix to run the viewer node
  * Fix to publish camera_info with the images
  * Fix compat with ViSP 2.10.0
  * Update and fix content of README files
  * Download the tutorial-qrcode.bag bag file from a new location that allows the
    download without SSL certificate
  * Install visp_auto_tracker/models folder
  * 0.7.3
  * Prepare changelogs
  * Prepare changelogs
  * Contributors: Aurelien Yol, Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Tue, 31 Mar 2015 22:00:00 -0000

ros-melodic-visp-auto-tracker (0.7.3-1stretch) stretch; urgency=high

  * Fix to install models folder
  * indigo-0.7.2
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Wed, 09 Apr 2014 22:00:00 -0000

ros-melodic-visp-auto-tracker (0.7.2-1stretch) stretch; urgency=high

  * Fix various dependency issues in the CMakeLists.txt and package.xml files
  * lipstick
    
    Aesthetic changes
  * [visp_auto_tracker] Add missing dependency
  * Add missing dependency to ViSP
  * Fix errors detected with catkin_lint
  * Contributors: Fabien Spindler, Thomas Moulard

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sun, 06 Apr 2014 22:00:00 -0000

ros-melodic-visp-auto-tracker (0.7.0-1stretch) stretch; urgency=high

  * Add flashcode_mbt as subdirectory.
  * Merge visp_auto_tracker as our subdirectory
  * Contributors: Thomas Moulard

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Tue, 11 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-visp-auto-tracker
Section: misc
Priority: extra
Maintainer: Fabien Spindler <Fabien.Spindler@inria.fr>
Build-Depends: debhelper (>= 9.0.0), libdmtx-dev, libzbar-dev, ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-filters, ros-melodic-resource-retriever, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-visp, ros-melodic-visp-bridge, ros-melodic-visp-tracker
Homepage: http://wiki.ros.org/visp_auto_tracker
Standards-Version: 3.9.2

Package: ros-melodic-visp-auto-tracker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdmtx-dev, libzbar-dev, ros-melodic-geometry-msgs, ros-melodic-message-filters, ros-melodic-resource-retriever, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-visp, ros-melodic-visp-bridge, ros-melodic-visp-tracker
Description: Online automated pattern-based object tracker relying on visual servoing.
 visp_auto_tracker wraps model-based trackers provided by ViSP visual servoing library into a ROS package. The tracked object should have a QRcode of Flash code pattern. Based on the pattern, the object is automaticaly detected. The detection allows then to initialise the model-based trackers. When lost of tracking achieves a new detection is performed that will be used to re-initialize the tracker. This computer vision algorithm computes the pose (i.e. position and orientation) of an object in an image. It is fast enough to allow object online tracking using a camera.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-visp-auto-tracker//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-visp-auto-tracker 0.13.0

=== debian/changelog ===
ros-melodic-visp-auto-tracker (0.13.0-1bionic) bionic; urgency=high



 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sun, 20 Feb 2022 23:00:00 -0000

ros-melodic-visp-auto-tracker (0.12.0-1bionic) bionic; urgency=high



 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Wed, 10 Mar 2021 23:00:00 -0000

ros-melodic-visp-auto-tracker (0.11.1-1bionic) bionic; urgency=high



 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Wed, 03 Jul 2019 22:00:00 -0000

ros-melodic-visp-auto-tracker (0.11.0-1bionic) bionic; urgency=high

  * Update with Melodic
  * Fix memory leak
  * Introduce vpMbGenericTracker and visp3 headers in visp_auto_tracker
  * Introduce visp3 headers
  * Code indentation
  * Introduce vpMbGenericTracker
  * Introduce vpHandEyeCalibration class
  * Fix build for melodic (Closes #88)
  * Fix compilation on 17.04 by adding missing boost/format.hpp inclusion
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sun, 26 May 2019 22:00:00 -0000

ros-melodic-visp-auto-tracker (0.10.0-1bionic) bionic; urgency=high

  * Fix catkin_lint warnings level 2
  * kinetic-0.9.3
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Thu, 09 Feb 2017 23:00:00 -0000

ros-melodic-visp-auto-tracker (0.9.3-1bionic) bionic; urgency=high

  * Fix CMAKE_CXX_FLAGS as separated list
  * kinetic-0.9.2
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Thu, 19 May 2016 22:00:00 -0000

ros-melodic-visp-auto-tracker (0.9.1-1bionic) bionic; urgency=high

  * Revert build_depend visp removal that is mandatory.
  * jade-0.9.0
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sun, 20 Dec 2015 23:00:00 -0000

ros-melodic-visp-auto-tracker (0.9.0-1bionic) bionic; urgency=high

  * Fix catkin_lint error and issues
  * Compat with ViSP 3.0.0
  * Fix to build with ViSP 2.10.0 when VISP_BUILD_DEPRECATED=OFF
  * jade-0.8.0
  * Prepare changelogs
  * Contributors: Aurelien Yol, Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sat, 19 Dec 2015 23:00:00 -0000

ros-melodic-visp-auto-tracker (0.8.0-1bionic) bionic; urgency=high

  * Remove catkin_lint issues and warnings
  * Fix doc url location
  * Update launch files
  * Comment viewer node. Only interesting when visp_auto_tracker debug_display param is False
  * Improve pose computation using Lagrange and Dementhon methods as initialisation
  * Increase quality value to avoid keypoint detection on the black part of the target
  * Introduce code_message parameter as a comment to show how to use.
  * New parameter "code_message" to specify the target to track from the code message.
    If this parameter is not set, the code that is tracked is the largest in the image.
  * Add frame_size parameter to the tracker client and viewer nodes that allow to
    specify the lenght (in meter) of the frame axis
  * Publish the code message of the tracked target on /visp_auto_tracker/code_message topic.
    If no target is tracked, publish an empty message.
    Remove fps printing
  * Fix to publish covariance matrix associated to the pose estimation
  * Fix to publish an empty list of moving edges and klt points on their respective topics
    when the tracker fails
  * Makes sure klt points that are sent via ros are from visible polygons.
  * Show how to use the viewer with visp_auto_tracker
  * Consider also .cao file to describe the cad model of the object to track with the
    hybrid model-based tracker
  * Remove useless include
  * Fix issue https://github.com/lagadic/vision_visp/issues/45 to take into account
    model_name parameter set in the launch file.
  * Changes done to use flash code detectors introduced in ViSP 2.10.0 rather than
    the one in visp_auto_tracker/flashcode_mbt/detectors.
  * Fix to avoid an OpenCV exception when the object roi is outside the image
  * Fix to run the viewer node
  * Fix to publish camera_info with the images
  * Fix compat with ViSP 2.10.0
  * Update and fix content of README files
  * Download the tutorial-qrcode.bag bag file from a new location that allows the
    download without SSL certificate
  * Install visp_auto_tracker/models folder
  * 0.7.3
  * Prepare changelogs
  * Prepare changelogs
  * Contributors: Aurelien Yol, Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Tue, 31 Mar 2015 22:00:00 -0000

ros-melodic-visp-auto-tracker (0.7.3-1bionic) bionic; urgency=high

  * Fix to install models folder
  * indigo-0.7.2
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Wed, 09 Apr 2014 22:00:00 -0000

ros-melodic-visp-auto-tracker (0.7.2-1bionic) bionic; urgency=high

  * Fix various dependency issues in the CMakeLists.txt and package.xml files
  * lipstick
    
    Aesthetic changes
  * [visp_auto_tracker] Add missing dependency
  * Add missing dependency to ViSP
  * Fix errors detected with catkin_lint
  * Contributors: Fabien Spindler, Thomas Moulard

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sun, 06 Apr 2014 22:00:00 -0000

ros-melodic-visp-auto-tracker (0.7.0-1bionic) bionic; urgency=high

  * Add flashcode_mbt as subdirectory.
  * Merge visp_auto_tracker as our subdirectory
  * Contributors: Thomas Moulard

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Tue, 11 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-visp-auto-tracker
Section: misc
Priority: optional
Maintainer: Fabien Spindler <Fabien.Spindler@inria.fr>
Build-Depends: debhelper (>= 9.0.0), libdmtx-dev, libzbar-dev, ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-filters, ros-melodic-resource-retriever, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-visp, ros-melodic-visp-bridge, ros-melodic-visp-tracker
Homepage: http://wiki.ros.org/visp_auto_tracker
Standards-Version: 3.9.2

Package: ros-melodic-visp-auto-tracker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdmtx-dev, libzbar-dev, ros-melodic-geometry-msgs, ros-melodic-message-filters, ros-melodic-resource-retriever, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-usb-cam, ros-melodic-visp, ros-melodic-visp-bridge, ros-melodic-visp-tracker
Description: Online automated pattern-based object tracker relying on visual servoing.
 visp_auto_tracker wraps model-based trackers provided by ViSP visual servoing library into a ROS package. The tracked object should have a QRcode, Flash code, or April tag pattern. Based on the pattern, the object is automaticaly detected. The detection allows then to initialise the model-based trackers. When lost of tracking achieves a new detection is performed that will be used to re-initialize the tracker. This computer vision algorithm computes the pose (i.e. position and orientation) of an object in an image. It is fast enough to allow object online tracking using a camera.
